petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFCreateInverseSF

given a PetscSF in which all vertices have degree 1, creates the inverse map

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateInverseSF(PetscSF sf,PetscSF *isf)

Collective Many br

### Input Arguments

sf -star forest to invert Many br

### Output Arguments

isf -inverse of sf Many br

Many br

### Notes

All roots must have degree 1. Many br

The local space may be a permutation, but cannot be sparse. Many br

### See Also

PetscSFSetGraph()

Level:advanced
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html